### Hierarchy

- Emitter
  - GridHeadingCell

### Implements

- IEmitter
- IGridHeadingCell

## Index

### Constructors

- constructor

### Properties

- cell
- col
- common
- dataset
- handle
- height
- hidden
- listeners
- moving
- offsetX
- offsetY
- onListeners
- params
- reference
- row
- startX
- startY
- type
- width
- zIndex

### Accessors

- RESIZED
- RESIZING
- VALUE

### Methods

- emit
- off
- on
- onMouseDown
- onMouseMove
- onMouseUp
- register
- removeEvent
- removeEvents
- selected
- setFreeze
- setIndex
- setOffset
- setPosition
- setSize
- setSorting
- setTranslate
- unRegister

### Object literals

- index
- position

## Constructors

### constructor

- new GridHeadingCell(type: string, params: IGridCellParams): GridHeadingCell

- Overrides Emitter.constructor

  - Defined in Grid3/GridHeadingCell.ts:78

  #### Parameters

  - ##### type: string

  - ##### params: IGridCellParams

  #### Returns GridHeadingCell

## Properties

### cell

cell: HTMLDivElement

Implementation of IGridHeadingCell.cell

- Defined in Grid3/GridHeadingCell.ts:54

### col

col: number = -1

Implementation of IGridHeadingCell.col

- Defined in Grid3/GridHeadingCell.ts:61

### common

common: boolean = false

Implementation of IGridHeadingCell.common

- Defined in Grid3/GridHeadingCell.ts:57

### dataset

dataset: IGridCellHeadingDataset

Implementation of IGridHeadingCell.dataset

- Defined in Grid3/GridHeadingCell.ts:56

### handle

handle: HTMLDivElement

Implementation of IGridHeadingCell.handle

- Defined in Grid3/GridHeadingCell.ts:55

### Private height

height: number = 0

- Defined in Grid3/GridHeadingCell.ts:78

### hidden

hidden: boolean = false

Implementation of IGridHeadingCell.hidden

- Defined in Grid3/GridHeadingCell.ts:59

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### Private moving

moving: boolean = false

- Defined in Grid3/GridHeadingCell.ts:71

### offsetX

offsetX: number = 0

- Defined in Grid3/GridHeadingCell.ts:73

### offsetY

offsetY: number = 0

- Defined in Grid3/GridHeadingCell.ts:75

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### params

params: IGridCellParams

Implementation of IGridHeadingCell.params

- Defined in Grid3/GridHeadingCell.ts:80

### reference

reference: string = ""

Implementation of IGridHeadingCell.reference

- Defined in Grid3/GridHeadingCell.ts:58

### row

row: number = -1

Implementation of IGridHeadingCell.row

- Defined in Grid3/GridHeadingCell.ts:60

### startX

startX: number = 0

- Defined in Grid3/GridHeadingCell.ts:72

### startY

startY: number = 0

- Defined in Grid3/GridHeadingCell.ts:74

### type

type: string

Implementation of IGridHeadingCell.type

- Defined in Grid3/GridHeadingCell.ts:80

### Private width

width: number = 0

- Defined in Grid3/GridHeadingCell.ts:77

### zIndex

zIndex: string = ""

- Defined in Grid3/GridHeadingCell.ts:76

## Accessors

### RESIZED

- get RESIZED(): string

- - Defined in Grid3/GridHeadingCell.ts:51

  #### Returns string

### RESIZING

- get RESIZING(): string

- - Defined in Grid3/GridHeadingCell.ts:48

  #### Returns string

### VALUE

- get VALUE(): string

- - Defined in Grid3/GridHeadingCell.ts:45

  #### Returns string

## Methods

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### Private onMouseDown

- onMouseDown(evt: MouseEvent): void

- - Defined in Grid3/GridHeadingCell.ts:218

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseMove

- onMouseMove(evt: MouseEvent): void

- - Defined in Grid3/GridHeadingCell.ts:243

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### Private onMouseUp

- onMouseUp(evt: MouseEvent): void

- - Defined in Grid3/GridHeadingCell.ts:231

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IGridHeadingCell.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IGridHeadingCell.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### selected

- selected(n: boolean): void

- Implementation of IGridHeadingCell.selected

  - Defined in Grid3/GridHeadingCell.ts:142

  #### Parameters

  - ##### n: boolean

  #### Returns void

### setFreeze

- setFreeze(common: boolean): void

- Implementation of IGridHeadingCell.setFreeze

  - Defined in Grid3/GridHeadingCell.ts:149

  #### Parameters

  - ##### common: boolean

  #### Returns void

### setIndex

- setIndex(row: number, y: number, zIndex: number): void

- Implementation of IGridHeadingCell.setIndex

  - Defined in Grid3/GridHeadingCell.ts:192

  #### Parameters

  - ##### row: number

  - ##### y: number

  - ##### zIndex: number

  #### Returns void

### setOffset

- setOffset(which: string, offset: number): void

- Implementation of IGridHeadingCell.setOffset

  - Defined in Grid3/GridHeadingCell.ts:166

  #### Parameters

  - ##### which: string

  - ##### offset: number

  #### Returns void

### setPosition

- setPosition(which: string, offset: number): void

- Implementation of IGridHeadingCell.setPosition

  - Defined in Grid3/GridHeadingCell.ts:180

  #### Parameters

  - ##### which: string

  - ##### offset: number

  #### Returns void

### setSize

- setSize(which: string, size: number): void

- Implementation of IGridHeadingCell.setSize

  - Defined in Grid3/GridHeadingCell.ts:153

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setSorting

- setSorting(direction: string): void

- Implementation of IGridHeadingCell.setSorting

  - Defined in Grid3/GridHeadingCell.ts:199

  #### Parameters

  - ##### direction: string

  #### Returns void

### Private setTranslate

- setTranslate(x: number, y: number): void

- - Defined in Grid3/GridHeadingCell.ts:206

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

## Object literals

### index

index: object

Implementation of IGridHeadingCell.index

- Defined in Grid3/GridHeadingCell.ts:62

### col

col: number = -1

- Defined in Grid3/GridHeadingCell.ts:64

### row

row: number = -1

- Defined in Grid3/GridHeadingCell.ts:63

### position

position: object

Implementation of IGridHeadingCell.position

- Defined in Grid3/GridHeadingCell.ts:66

### col

col: number = -1

- Defined in Grid3/GridHeadingCell.ts:68

### row

row: number = -1

- Defined in Grid3/GridHeadingCell.ts:67

Generated using TypeDoc